<ng-container *ngIf="filtersLoaded | async; else pending">
  <div class="container my-5">
    <div class="row flex-lg-nowrap">
      <div class="col">
        <div class="row">
          <div class="col mb-3">
            <div class="card">
              <div class="card-body">
                <div class="row">
                  <div class="col d-flex flex-column flex-sm-row justify-content-between mb-3">
                    <div class="text-center text-sm-left mb-2 mb-sm-0">
                      <h4 class="pt-sm -2 pb-1 mb-0 text-nowrap">{{user?.first_name}} {{user?.last_name}}</h4>
                    </div>
                    <div class="text-center text-sm-right">
                      <span class="badge badge-secondary">{{user?.role}}</span>
                      <div class="text-muted"><small>Joined {{user?.member_since}}</small></div>
                    </div>
                  </div>
                </div>
                <ul class="nav nav-tabs">
                  <li class="nav-item"><a class="active nav-link">User information</a></li>
                </ul>
                <div class="tab-content pt-3">
                  <div class="tab-pane active">
                    <form class="form" [formGroup]="userForm" (ngSubmit)="onSubmitEdit()">
                      <div class="row">
                        <div class="col">
                          <div class="row">
                            <div class="col">
                              <div class="form-group">
                                <label for="first_name">First Name</label>
                                <input class="form-control" type="text" id="first_name" formControlName="first_name">
                              </div>
                            </div>
                            <div class="col">
                              <div class="form-group">
                                <label for="initials">Initials</label>
                                <input class="form-control" type="text" id="initials" formControlName="initials">
                              </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col">
                              <div class="form-group">
                                <label for="last_name">Last Name</label>
                                <input class="form-control" type="text" id="last_name" formControlName="last_name">
                              </div>
                            </div>
                            <div class="col">
                              <div class="form-group">
                                <label for="date_of_birth">Date of birth</label>
                                <input class="form-control" type="date" id="date_of_birth"
                                       formControlName="date_of_birth">
                              </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col">
                              <div class="form-group">
                                <label for="email">Email</label>
                                <input class="form-control" type="text" id="email" formControlName="email">
                              </div>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col">
                              <div class="form-group">
                                <label for="student_number">Student number</label>
                                <input class="form-control" type="text" id="student_number"
                                       formControlName="student_number">
                              </div>
                            </div>
                            <div class="col">
                              <div class="form-group">
                                <label for="main_study">Main study</label>
                                <input class="form-control" type="text" id="main_study"
                                       formControlName="main_study">
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <hr>
                      <div class="row">
                        <div class="col d-flex justify-content-end">
                          <button class="btn btn-primary" type="button" style="margin-right: 1%"
                                  (click)="modalService.open(changePasswordModal)">Change password
                          </button>
                          <button class="btn btn-success" type="submit">Save Changes</button>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</ng-container>

<ng-template #pending>
  <div class="loader"></div>
</ng-template>

<!--Change password modal-->
<ng-template #changePasswordModal let-modal>
  <div class="modal-header">
    <h5 class="modal-title">Change password</h5>
    <button type="button" class="close" data-dismiss="modal" (click)="modal.dismiss()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <form [formGroup]="changePasswordForm" (ngSubmit)="onSubmitPassword()">
    <div class="modal-body">
      <div class="form-group">
        <input type="password" class="form-control" placeholder="Old password" formControlName="password"
               aria-label="oldPassword">
      </div>
      <div class="form-group">
        <input type="password" class="form-control" placeholder="New password" formControlName="new_password"
               aria-label="newPassword">
      </div>
      <input type="password" class="form-control" placeholder="Confirm new password" formControlName="confirm"
             aria-label="confirmNewPassword">
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Cancel</button>
      <button type="submit" class="btn btn-primary">Submit</button>
    </div>
  </form>
</ng-template>
